libzypp 17.37.10

zyppng::operators::detail::progress_helper< mode > Struct Template Reference

`#include <zypp-core/zyppng/ui/progressobserver.h>`

## Public Member Functions
| progress_helper (ProgressObserverRef &&progressObserver, std::optional< std::string > &&newStr, double inc)
template<typename T>
auto | operator() (T &&t)
void | operator() ()
void | update ()

## Private Attributes
ProgressObserverRef | _progressObserver
std::optional< std::string > | _newString
double | _progressInc

## Detailed Description

template<progress_helper_mode mode>
struct zyppng::operators::detail::progress_helper< mode >

Definition at line 131 of file progressobserver.h.

## Constructor & Destructor Documentation

## ◆ progress_helper()

template<progress_helper_mode mode>

zyppng::operators::detail::progress_helper< mode >::progress_helper | ( | ProgressObserverRef && | progressObserver,
|  | std::optional< std::string > && | newStr,
|  | double | inc )
| inline

Definition at line 133 of file progressobserver.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<progress_helper_mode mode>
template<typename T>

auto zyppng::operators::detail::progress_helper< mode >::operator() | ( | T && | t | ) |
| inline

Definition at line 140 of file progressobserver.h.

## ◆ operator()() [2/2]

template<progress_helper_mode mode>

void zyppng::operators::detail::progress_helper< mode >::operator() | ( |  | ) |
| inline

Definition at line 145 of file progressobserver.h.

## ◆ update()

template<progress_helper_mode mode>

void zyppng::operators::detail::progress_helper< mode >::update | ( |  | ) |
| inline

Definition at line 149 of file progressobserver.h.

## Member Data Documentation

## ◆ _progressObserver

template<progress_helper_mode mode>

ProgressObserverRef zyppng::operators::detail::progress_helper< mode >::_progressObserver
| private

Definition at line 162 of file progressobserver.h.

## ◆ _newString

template<progress_helper_mode mode>

std::optional<std::string> zyppng::operators::detail::progress_helper< mode >::_newString
| private

Definition at line 163 of file progressobserver.h.

## ◆ _progressInc

template<progress_helper_mode mode>

double zyppng::operators::detail::progress_helper< mode >::_progressInc
| private

Definition at line 164 of file progressobserver.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/ui/progressobserver.h